%global drupaldir %{_datadir}/drupal6
%global modname authfas

Name:    drupal6-%{modname}
Version: 0.2.3
Release: 6%{?dist}
Summary: Drupal 6 module for authentication via a Fedora Account System

Group:   Applications/Publishing
License: GPLv2+
URL:     http://fedorahosted.org/drupal6-authfas
Source0: https://fedorahosted.org/released/%{name}/%{modname}-%{version}.tar.bz2
Source1: drupal6-authfas-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6 >= 6.0


%description
This module allows Drupal 6 users to be authenticated via an instance
of the Fedora Account System (FAS).  Each Drupal role can also be
mapped to a group in FAS, and group memberships are updated for a user
before the session starts.


%prep
%setup -qn %{modname}


%build
cp %{SOURCE1} .


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
cp -pr * %{buildroot}%{drupaldir}/modules/%{modname}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 17 2011 Paul W. Frields <stickster@gmail.com> - 0.2.3-1
- Update to upstream 0.2.3
- Fixes critical bug in 0.2.2 and minor enhancements

* Thu Mar 17 2011 Paul W. Frields <stickster@gmail.com> - 0.2.2-1
- Update to upstream 0.2.2
- Adds option to trust invalid SSL certs for testing purposes

* Fri Feb 25 2011 Paul W. Frields <stickster@gmail.com> - 0.2.1-1
- Initial RPM packaging

